Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.cisco.ipphone.sdk
Class HttpsInitializer

    java.lang.Object
      com.cisco.ipphone.sdk.HttpsInitializer

    public class HttpsInitializer

extends java.lang.Object

Title: HttpsInitializer

Description: This helper class sets the default socket facory and hostname verifier for the HttpsURLConnection class. Overriding the default HttpURLConnection behavior is done to prevent this client from attempting to authenticate the remote server. This is done because the CallManager server uses its locally-significant certificate when sending SSL credentials for API connections and this client application won't have any CA cert avaliable to verify the CallManager cert. Overriding the HttpURLConnection avoids the hassle of loading the CallManager's certificate onto the application server.

NOTE: Some Java application environments (such as WebSphere) may not allow the HttpURLConnection defaults to be modified. In this case, you may need to change the platform configuration to allow this, or change the source code for the Provider classes such that they only modify specific HttpURLConnections, or if that still isn't allowed, you may need to install the CallManager's certificate onto your application server.

Copyright: Copyright (c) 2005

Company: Cisco Systems, Inc.

Constructor Summary
`HttpsInitializer()`

Method Summary
`static void` | `init()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpsInitializer

    public HttpsInitializer()

Method Detail

### init

    public static final void init()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD